<?php
defined('BASEPATH') or exit('No direct script access allowed');

/**
 *  Post Controller
 */
class Post extends CI_Controller
{

	function __construct()
	{
		parent::__construct();
		$this->load->model('crud');
	}

	public function index()
	{   
		$data['data'] = $this->crud->get_records('posts');
		$this->load->view('post/list', $data);
	}


	public function create()
	{
		$this->load->view('post/create');
	}


	public function store()
	{
		
		$data = array();
		$data['title'] = $this->input->post('title');
		$data['description'] = $this->input->post('description');
		$data['name'] = $this->input->post('name');
		$data['phone'] = $this->input->post('phone');
		$data['email'] = $this->input->post('email');
		$data['created_on'] = date('Y-m-d H:i:s');
		$data['maths'] = $this->input->post('maths');
		$data['percentage'] = $this->input->post('percentage');
		$targetDir = FCPATH."uploads/";
		
		if(isset($_FILES['photo'])){
			// die('sdfsdf');
			$fileName = basename($_FILES["photo"]["name"]);
			$temp_name = $_FILES['photo']['tmp_name'];
			// var_dump($_FILES);
			$targetPath = $targetDir.$fileName;
			
			// Now let's move the uploaded image into the folder: image
			if (move_uploaded_file($temp_name,$targetPath)){
				$data['photo'] = $fileName;
			}
		}

		if(isset($_FILES['resume'])){
			// die('sdfsdf');
			$fileName = basename($_FILES["resume"]["name"]);
			$temp_name = $_FILES['resume']['tmp_name'];
			// var_dump($_FILES);
			$targetPath = $targetDir.$fileName;

			// Now let's move the uploaded image into the folder: image
			if (move_uploaded_file($temp_name,$targetPath)){
				$data['resume'] = $fileName;
			}
		}


		$this->crud->insert('posts', $data);
		$this->session->set_flashdata('message', '<div class="alert alert-success">Record has been saved successfully.</div>');

		redirect('post');
	}

	public function edit($id)
	{
		$data['data'] = $this->crud->find_record_by_id('posts', $id);
		$this->load->view('post/edit', $data);
	}

	public function update($id)
	{
		$data = array();
		$data['title'] = $this->input->post('title');
		$data['description'] = $this->input->post('description');
		$data['name'] = $this->input->post('name');
		$data['phone'] = $this->input->post('phone');
		$data['email'] = $this->input->post('email');
		$data['created_on'] = date('Y-m-d H:i:s');
		$data['maths'] = $this->input->post('maths');
		$data['percentage'] = $this->input->post('percentage');
		$targetDir = FCPATH."uploads/";
		
		if(isset($_FILES['photo'])){
			// die('sdfsdf');
			$fileName = basename($_FILES["photo"]["name"]);
			$temp_name = $_FILES['photo']['tmp_name'];
			// var_dump($_FILES);
			$targetPath = $targetDir.$fileName;
			
			// Now let's move the uploaded image into the folder: image
			if (move_uploaded_file($temp_name,$targetPath)){
				$data['photo'] = $fileName;
			}
		}

		if(isset($_FILES['resume'])){
			// die('sdfsdf');
			$fileName = basename($_FILES["resume"]["name"]);
			$temp_name = $_FILES['resume']['tmp_name'];
			// var_dump($_FILES);
			$targetPath = $targetDir.$fileName;

			// Now let's move the uploaded image into the folder: image
			if (move_uploaded_file($temp_name,$targetPath)){
				$data['resume'] = $fileName;
			}
		}


		$this->crud->update('posts', $data, $id);
		$this->session->set_flashdata('message', '<div class="alert alert-success">Record has been updated successfully.</div>');
		redirect(base_url('post'));
	}

	public function delete($id)
	{
		$this->crud->delete('posts', $id);
		$this->session->set_flashdata('message', '<div class="alert alert-success">Record has been deleted successfully.</div>');
		redirect(base_url('post'));
	}

	
}