<!doctype html>
<html lang="en">

<head>
  <?php $this->load->view('includes/header'); ?>
  <title>Add New Post</title>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>

</head>

<body>

  <div class="container">
    <div class="row">

      <div class="col-lg-12 my-5">
        <h2 class="text-center mb-3">Codeigniter 3 CRUD (Create-Read-Update-Delete) Application</h2>
      </div>

      <div class="col-lg-12">

        <div class="d-flex justify-content-between ">
          <h4>Add New Post</h4>
          <a class="btn btn-warning" href="<?php echo base_url('post'); ?>"> <i class="fas fa-angle-left"></i> Back</a>
        </div>

        <form method="post" action="<?php echo base_url('post/store'); ?>" enctype='multipart/form-data' >

          <div class="form-group" >
            <label>Title</label>
            <input class="form-control" type="text" name="title" required>
          </div>

          <div class="form-group">
            <label>Description</label>
            <textarea class="form-control" name="description" required></textarea>
          </div>

          <div class="form-group" >
            <label>Name</label>
            <input class="form-control" type="text" name="name" required>
          </div>

          <div class="form-group" >
            <label>Phone</label>
            <input class="form-control" type="text" name="phone" required>
          </div>

          <div class="form-group" >
            <label>Email</label>
            <input class="form-control" type="text" name="email" required>
          </div>

          <div class="form-group" >
            <label>Profile photo</label>
            <input class="form-control" type="file" name="photo" required>
          </div>

          <div class="form-group" >
            <label>Resume</label>
            <input class="form-control" type="file" name="resume">
          </div>

          <div class="form-group" >
            <label>Maths</label>
            <input class="form-control" type="number" name="maths" id="maths" min="10" max="50">
          </div>

          <div class="form-group" >
            <label>Percentage</label>
            <input class="form-control" type="number" name="percentage">
          </div>

          <div class="form-group">
            <button type="submit" class="btn btn-success" name="submit" value="Upload"> <i class="fas fa-check"></i> Submit </button>
          </div>

        </form>
      </div>
    </div>
  </div>
  <script>
  $('#maths').change(function() {
    var obt_marks = parseFloat($('#maths').val());
    $('#percentage').val((obt_marks * 100) / 50);
  });
</script>

  <?php $this->load->view('includes/footer'); ?>

</body>

</html>