<!doctype html>
<html lang="en">

<head>
  <?php $this->load->view('includes/header'); ?>
  <title>Codeigniter 3 CRUD Application</title>
</head>

<body>

  <div class="container">
    <div class="row">

      <div class="col-lg-12 my-5">
        <h2 class="text-center mb-3">Codeigniter 3 CRUD (Create-Read-Update-Delete) Application</h2>
      </div>

      <div class="col-lg-12">

        <?php echo $this->session->flashdata('message'); ?>

        <div class="d-flex justify-content-between mb-3">
          <h4>Manage Posts</h4>
          <a href="<?= base_url('post/create') ?>" class="btn btn-success"> <i class="fas fa-plus"></i> Add New Post</a>
        </div>

        <table class="table table-bordered table-default">

          <thead class="thead-light">
            <tr>
              <th width="2%">#</th>
              <th width="10%">Title</th>
              <th width="10%">Description</th>
              <th width="10%">Name</th>
              <th width="10%">Phone</th>
              <th width="10%">Email</th>
              <th width="10%">Profile Photo</th>
              <th width="10%">Resume</th>
              <th width="10%">Created On</th>
              <th width="10%">Maths Marks</th>
              <th width="10%">Percentage</th>
              <th width="10%">Action</th>
            </tr>
          </thead>

          <tbody>

            <?php $i = 1; foreach ($data as $post) { ?>

              <tr>
                <td><?php echo $i; ?></td>
                <td><?php echo $post->title; ?></td>
                <td><?php echo $post->description; ?></td>
                <td><?php echo $post->name; ?></td>
                <td><?php echo $post->phone; ?></td>
                <td><?php echo $post->email; ?></td>
                <td> <img class="img-fluid" src="<?= base_url('uploads/'.$post->photo); ?>" style="width: 150px;"> </td>
                <td> <img class="img-fluid" src="<?= base_url('uploads/'.$post->resume); ?>" style="width: 150px;"> </td>
                <td><?php echo $post->created_on; ?></td>
                <td><?php echo $post->maths; ?></td>
                <td><?php echo $post->percentage; ?></td>

                <td>
                  <a href="<?= base_url('post/edit/' . $post->id) ?>" class="btn btn-primary"> <i class="fas fa-edit"></i> Edit </a>
                  <a href="<?= base_url('post/delete/' . $post->id) ?>" class="btn btn-danger" onclick="return confirm('Are you sure you want to delete this record?')"> <i class="fas fa-trash"></i> Delete </a>
                </td>

              </tr>

            <?php $i++; } ?>

          </tbody>

        </table>

      </div>
    </div>
  </div>
  <script>
        $(function () {
        $("#maths").change(function (e) {
            var pre = $(e.currentTarget).val();
            var percent = (pre/50)*100;
            $('#percentage').val(percent);
           
         }
       );
    });
  </script>


  <?php $this->load->view('includes/footer'); ?>

</body>

</html>